<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bonusgroupstrategyaccount.mapper.BonusGroupStrategyAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bonusGroupStrategyAccountResultMap" type="org.springblade.modules.guosen.bonusgroupstrategyaccount.entity.BonusGroupStrategyAccount">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="bonus_scene_id" property="bonusSceneId"/>
        <result column="bonus_group_id" property="bonusGroupId"/>
        <result column="bonus_group_strategy_id" property="bonusGroupStrategyId"/>
        <result column="bonus_group_account_id" property="bonusGroupAccountId"/>
        <result column="is_default" property="isDefault"/>
        <result column="rate" property="rate"/>
    </resultMap>


    <select id="selectBonusGroupStrategyAccountPage" resultMap="bonusGroupStrategyAccountResultMap">
        select * from cyzh_bonus_group_strategy_account where is_deleted = 0
    </select>

</mapper>
